from io_module import IO_Module
from modbus import Modbus, MBError, NoResponseError
from log_reader import DigitalLogReader
import log_reader
import colorama
from colorama import Fore
from time import sleep


class IO_Digital(IO_Module):
    def __init__(self, tty: str, brate: int, address: int):
        self.modbus = Modbus(tty, brate, address)
        super().__init__(self.modbus)
        self.log = DigitalLogReader(self.modbus)
 
    


def main():
    colorama.init(autoreset=True)
    dev = IO_Digital('COM24', 115200, 15)
    dev.MB_DEBUG = False

    '''Системные переменные и параметры'''
    # dev.sys.set_system_vars(1234)
    dev.sys.get_system_vars()
    
    '''Лог и архив. Настройки лога.'''
    dev.log.get_log_info()
    dev.log.get_random_entries()
    # dev.log.set_archive_period(10)
    
    '''Сохранение настроек'''
    # dev.sys.save_sattings()
    
    
if __name__ == '__main__':
    main()